package com.sitemesh;

/**
 * This is a set of static constants of Strings to be used
 * as ServletRequest attribute keys to represent various
 * objects passed between pages.
 *
 * @author <a href="joe@truemesh.com">Joe Walnes</a>
 * @version $Revision: 1.4 $
 */
public interface RequestConstants {

	/**
	 * Marker that stores a Boolean to state whether the decorator filter
	 * has been applied yet in this request.
	 */
	public static final String FILTER_APPLIED = "__sitemesh__filterapplied";

	/**
	 * Stores {@link com.sitemesh.Page} instance for parsed page to be
	 * passed across to {@link com.sitemesh.Decorator} .
	 */
	public static final String PAGE           = "__sitemesh__page";

	/**
	 * The name (String) of the Decorator to suggest using. This is set by
	 * the {@link com.sitemesh.taglib.PanelTag} and is then used by
	 * the corresponding {@link com.sitemesh.DecoratorMapper} .
	 */
	public static final String DECORATOR      = "__sitemesh__decorator";

}
