package com.sitemesh.filter;

import javax.servlet.ServletOutputStream;
import java.io.IOException;
import java.io.ByteArrayOutputStream;
import com.sitemesh.PageParser;
import com.sitemesh.Page;
import com.sitemesh.Factory;

/**
 * Implementation of ServletOutputStream that stores all data written
 * to it in a temporary buffer accessible from {@link #getBytes()} .
 *
 * @author <a href="joe@truemesh.com">Joe Walnes</a>
 * @version $Revision: 1.2 $
 */
public class PageOutputStream extends ServletOutputStream {

	private ByteArrayOutputStream bytes = new ByteArrayOutputStream();

	public void write( byte[] b, int o, int l ) throws IOException {
		bytes.write( b, o, l );
	}

	public void write( int i ) throws IOException {
		bytes.write( i );
	}

	public void flush() throws IOException {
		bytes.flush();
	}

	public void close() throws IOException {
		bytes.close();
	}

	/**
	 * Return all data that has been written to this OutputStream.
	 */
	public byte[] getBytes() throws IOException {
		bytes.flush();
		return bytes.toByteArray();
	}

}
